Last Comment Bug 776254 - Keyboard Shortcut Ctrl+Shift+J (Open Error Console) does not work in 21 July Nightly build
: Keyboard Shortcut Ctrl+Shift+J (Open Error Console) does not work in 21 July ...
Status: RESOLVED FIXED
[fixed-in-fx-team]
: regression
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: 17 Branch
: x86 All
: -- normal (vote)
: Firefox 17
Assigned To: Paul Rouget [:paul]
:
Mentors:
Depends on:
Blocks: 765564
  Show dependency treegraph
 
Reported: 2012-07-21 09:47 PDT by Alice0775 White
Modified: 2012-07-25 15:12 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (2.41 KB, patch)
2012-07-23 09:31 PDT, Paul Rouget [:paul]
dao+bmo: review-
Details | Diff | Splinter Review
v1.1 (13.85 KB, patch)
2012-07-23 12:03 PDT, Paul Rouget [:paul]
dao+bmo: review+
rcampbell: feedback+
Details | Diff | Splinter Review

Description Alice0775 White 2012-07-21 09:47:12 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/446b788ab99d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120721041038

Keyboard Shortcut Ctrl+Shift+J (Open Error Console) does not work in Windows build(It works in Ubuntu).
Comment 1 B.J. Herbison 2012-07-21 10:26:50 PDT
The "works in Ubuntu" was my report, but after that I updated to the current build and the key combination doesn't work. (Several other key combinations work.)
Comment 2 Jim Jeffery not reading bug-mail 1/2/11 2012-07-21 10:27:39 PDT
intended ? https://bugzilla.mozilla.org/show_bug.cgi?id=765564#c27
Comment 3 B.J. Herbison 2012-07-21 10:38:38 PDT
(In reply to Jim Jeffery not reading bug-mail 1/2/11 from comment #2)
> intended ? https://bugzilla.mozilla.org/show_bug.cgi?id=765564#c27

If it was intended it was a sloppy removal. I created a new profile and installed keyconfig and Error Console is still listed as being bound to Ctrl+Shift+J. Also, the Firefox menu entry for Error Console still lists Ctrl+Shift+J as the binding.
Comment 4 Paul Rouget [:paul] 2012-07-23 08:44:40 PDT
(working on it)
Comment 5 Paul Rouget [:paul] 2012-07-23 09:31:13 PDT
Created attachment 644957 [details] [diff] [review]
v1
Comment 6 Dão Gottwald [:dao] 2012-07-23 11:09:13 PDT
Comment on attachment 644957 [details] [diff] [review]
v1

This looks like the key combo would always open the console regardless of the broadcaster's state.
Comment 7 Paul Rouget [:paul] 2012-07-23 11:59:48 PDT
Right. And we have this problem with all the tools.
Comment 8 Paul Rouget [:paul] 2012-07-23 12:03:44 PDT
Created attachment 645017 [details] [diff] [review]
v1.1
Comment 9 Paul Rouget [:paul] 2012-07-23 12:06:20 PDT
Comment on attachment 645017 [details] [diff] [review]
v1.1

Rob, can you take a look at this before I go through the browser review again?
Comment 10 Rob Campbell [:rc] (:robcee) 2012-07-24 11:32:09 PDT
Comment on attachment 645017 [details] [diff] [review]
v1.1

diff --git a/browser/base/content/browser.js b/browser/base/content/browser.js

In the section enabling tools for each pref, you might use a Map of pref name to element id and iterate through those to do the removeAttribute("disabled"|"hidden") bits. Will cut down on a bit of the patch size.

Otherwise, this looks fine.
Comment 11 Paul Rouget [:paul] 2012-07-24 21:01:02 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #10)
> Comment on attachment 645017 [details] [diff] [review]
> v1.1
> 
> diff --git a/browser/base/content/browser.js
> b/browser/base/content/browser.js
> 
> In the section enabling tools for each pref, you might use a Map of pref
> name to element id and iterate through those to do the
> removeAttribute("disabled"|"hidden") bits. Will cut down on a bit of the
> patch size.

I will do that in a followup bug (or in the future devtools.jsm file).
Comment 12 Paul Rouget [:paul] 2012-07-25 08:06:05 PDT
https://tbpl.mozilla.org/?tree=Try&rev=c77e9ebe89bb
Comment 14 Paul Rouget [:paul] 2012-07-25 15:10:36 PDT
https://hg.mozilla.org/mozilla-central/rev/a4ce9e1d4135

Note You need to log in before you can comment on or make changes to this bug.